summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPetr Vaněk <arkamar@atlas.cz>2022-06-16 13:44:29 +0200
committerSam James <sam@gentoo.org>2022-06-25 06:35:15 +0100
commit88cff07972f0b4378d56a4a0458988df02713527 (patch)
tree0e938d5454f5e1026f06e2f7d0a69baf1b89d64f /net-misc/s6-networking/s6-networking-2.5.1.1.ebuild
parentnet-dns/s6-dns: add 2.3.5.4 (diff)
downloadgentoo-88cff07972f0b4378d56a4a0458988df02713527.tar.gz
gentoo-88cff07972f0b4378d56a4a0458988df02713527.tar.bz2
gentoo-88cff07972f0b4378d56a4a0458988df02713527.zip
net-misc/s6-networking: add 2.5.1.1
Signed-off-by: Petr Vaněk <arkamar@atlas.cz> Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'net-misc/s6-networking/s6-networking-2.5.1.1.ebuild')
-rw-r--r--net-misc/s6-networking/s6-networking-2.5.1.1.ebuild63
1 files changed, 63 insertions, 0 deletions
diff --git a/net-misc/s6-networking/s6-networking-2.5.1.1.ebuild b/net-misc/s6-networking/s6-networking-2.5.1.1.ebuild
new file mode 100644
index 00000000000..b5098c86c89
--- /dev/null
+++ b/net-misc/s6-networking/s6-networking-2.5.1.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Suite of small networking utilities for Unix systems"
+HOMEPAGE="https://www.skarnet.org/software/s6-networking/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~x86"
+IUSE="ssl static static-libs"
+
+REQUIRED_USE="static? ( static-libs )
+ ssl? ( !static !static-libs )"
+
+RDEPEND="dev-lang/execline:=[static-libs?]
+ >=dev-libs/skalibs-2.12:=[static-libs?]
+ sys-apps/s6:=[execline,static-libs?]
+ ssl? ( dev-libs/libretls )
+ !static? (
+ net-dns/s6-dns:=
+ )
+"
+DEPEND="${RDEPEND}
+ net-dns/s6-dns[static-libs?]
+"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+ default
+
+ # Avoid QA warning for LDFLAGS addition
+ sed -i -e 's/.*-Wl,--hash-style=both$/:/' configure || die
+
+ sed -i -e '/AR := /d' -e '/RANLIB := /d' Makefile || die
+}
+
+src_configure() {
+ tc-export AR CC RANLIB
+
+ local myconf=(
+ --bindir=/bin
+ --dynlibdir=/usr/$(get_libdir)
+ --libdir=/usr/$(get_libdir)/${PN}
+ --with-dynlib=/usr/$(get_libdir)
+ --with-lib=/usr/$(get_libdir)/s6
+ --with-lib=/usr/$(get_libdir)/s6-dns
+ --with-lib=/usr/$(get_libdir)/skalibs
+ --with-sysdeps=/usr/$(get_libdir)/skalibs
+ --enable-shared
+ $(use_enable ssl ssl libtls)
+ $(use_enable static allstatic)
+ $(use_enable static static-libc)
+ $(use_enable static-libs static)
+ )
+
+ econf "${myconf[@]}"
+}